Bug 1872369 - Configuring Helm Chart Repo requiring TLS client certificates not working
Summary: Configuring Helm Chart Repo requiring TLS client certificates not working
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.6.0
Assignee: Predrag Knezevic
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-25 15:16 UTC by Predrag Knezevic
Modified: 2020-09-09 07:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6347 None closed Bug 1872369: Fix reading TLSConfig for HelmChartRepository 2020-09-08 05:53:10 UTC

Description Predrag Knezevic 2020-08-25 15:16:26 UTC
Description of problem:

An OpenShift admin can add a 3rd-party HelmChartRepository that requires specifying TLS client certificate and key. such HelmChartReposity CR looks like the following:

apiVersion: helm.openshift.io/v1beta1
kind: HelmChartRepository
metadata:
  name: sample-repo
spec:
  connectionConfig:
     url: https://repo.foo.com
     tlsClientConfig:
      name: helm-tls-configs


How reproducible:

Deploy the above HelmChartRepo in the cluster and try to browse charts from UI

Actual results:

Content of default chart repository at https://github.com/redhat-developer/redhat-helm-charts is display, instead of the content of the custom chart repo.


Expected results:

Charts from the configured repo should be listed.


Note You need to log in before you can comment on or make changes to this bug.